<template>
  <div>
    <a class="plus" @click="openForm()">+</a>
    <form-create-offer-from-overlay
      v-if="showCreateOfferFromOverlay"
      @changeStatus="updateStatus($event)"
      :coords="coords"
    >
    </form-create-offer-from-overlay>
  </div>
</template>

<script>
import FormCreateOfferFromOverlay from '@/components/FormCreateOfferFromOverlay'

export default {
  components: {
    FormCreateOfferFromOverlay
  },
  props: ['coords'],

  data() {
    return {
      showCreateOfferFromOverlay: false
    }
  },
  methods: {
    openForm() {
      this.showCreateOfferFromOverlay = true
    },
    updateStatus(updatedStatus) {
      this.showCreateOfferFromOverlay = updatedStatus
      this.$emit('reloadData')
    }
  }
}
</script>

<style scoped>
.plus {
  font-size: 1.5rem;
  cursor: pointer;
  margin-left: 0.4rem;
  margin-bottom: 0.5rem;
  color: var(--text-primary) !important;
}
</style>
